Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::ISensorPrivateMetadataCaps Class Reference

Interface used to query the availability and size in bytes of sensor private metadata. More...

`#include <SensorPrivateMetadata.h>`

Inheritance diagram for Argus::Ext::ISensorPrivateMetadataCaps:

List of all members.

## Public Member Functions

virtual size_t | getMetadataSize () const =0
| Returns the size in bytes of the private metadata.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~ISensorPrivateMetadataCaps ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to query the availability and size in bytes of sensor private metadata.

This interface is available from the CameraDevice class.

Definition at line 43 of file SensorPrivateMetadata.h.

## Constructor & Destructor Documentation

Argus::Ext::ISensorPrivateMetadataCaps::~ISensorPrivateMetadataCaps | ( |  | ) |

inlineprotected

Definition at line 54 of file SensorPrivateMetadata.h.

## Member Function Documentation

virtual size_t Argus::Ext::ISensorPrivateMetadataCaps::getMetadataSize | ( |  | ) | const

pure virtual

Returns the size in bytes of the private metadata.

static const InterfaceID& Argus::Ext::ISensorPrivateMetadataCaps::id | ( |  | ) |

inlinestatic

Definition at line 46 of file SensorPrivateMetadata.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/SensorPrivateMetadata.h